queue.hpp File Reference
`#include <atomic>`
`#include <chrono>`
`#include <condition_variable>`
`#include <cstddef>`
`#include <mutex>`
`#include <queue>`
`#include <string>`
`#include <thread>`
`#include <utility>`
Include dependency graph for queue.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::thread::Queue< T >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::thread
| Threading-related low-level code.

## Variables

static const std::chrono::milliseconds | osmium::thread::full_queue_sleep_duration { 10 }